Package org.apache.tools.ant.taskdefs.cvslib

# Class CvsTagEntry

java.lang.Object
org.apache.tools.ant.taskdefs.cvslib.CvsTagEntry

    public class CvsTagEntry
    extends java.lang.Object

Holds the information of a line of rdiff

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CvsTagEntry​(java.lang.String filename)` | Creates a new CvsTagEntry
  `CvsTagEntry​(java.lang.String filename, java.lang.String revision)` | Creates a new CvsTagEntry
  `CvsTagEntry​(java.lang.String filename, java.lang.String revision, java.lang.String prevRevision)` | Creates a new CvsTagEntry

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getFile()` | Gets the filename for this CvsTagEntry
  `java.lang.String` | `getPreviousRevision()` | Gets the previous revision for this CvsTagEntry
  `java.lang.String` | `getRevision()` | Gets the revision for this CvsTagEntry
  `java.lang.String` | `toString()` | Gets a String containing filename and difference from previous version

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CvsTagEntry

    public CvsTagEntry​(java.lang.String filename)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add

  - ### CvsTagEntry

    public CvsTagEntry​(java.lang.String filename, java.lang.String revision)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add
      `revision` - the revision

  - ### CvsTagEntry

    public CvsTagEntry​(java.lang.String filename, java.lang.String revision, java.lang.String prevRevision)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add
      `revision` - the revision
      `prevRevision` - the previous revision

- ## Method Details

  - ### getFile

    public java.lang.String getFile()
    Gets the filename for this CvsTagEntry
    Returns:
      the filename

  - ### getRevision

    public java.lang.String getRevision()
    Gets the revision for this CvsTagEntry
    Returns:
      the revision

  - ### getPreviousRevision

    public java.lang.String getPreviousRevision()
    Gets the previous revision for this CvsTagEntry
    Returns:
      the previous revision

  - ### toString

    public java.lang.String toString()
    Gets a String containing filename and difference from previous version
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      a string representation of this CVSTagEntry